WordPress.org

Ready to get started?Download WordPress

Forums

Flash Uploader and SSL (5 posts)

  1. Haggertus
    Member
    Posted 5 years ago #

    The flash uploader gives me "An error occurred in the upload. Please try again later." I only get the error when I'm using SSL. I can upload the same files when I disable ssl.

    I thought it might be the admin_ssl plugin, so I disabled that and the uploader worked. So, I then updated to 2.6.1 (was at 2.6 before upgrading), and changed my wp-config.php to include:
    define('FORCE_SSL_ADMIN', true);
    define('FORCE_SSL_LOGIN', true);
    I still got the error after this. So I don't think it matters if you're using the admin_ssl plugin, or the wordpress built in ssl support.

    I did follow the directions in the sticky thread about the uploader and deleted the correct files, so I don't think that's it. I've also tried clearing my cache, using a new browser (tried firefox 3, and safari), new computer, etc. Still get the error.

    Like I said, it only appears to be a problem with trying it over SSL. Once SSL is disabled the flash uploader works fine. I am using a self signed cert. Do I need to import my root ca some how?

    Any other ideas? Thanks!

  2. Haggertus
    Member
    Posted 5 years ago #

    1 more thing. I also tried the .htaccess fix by adding:
    <IfModule mod_security.c>
    <Files async-upload.php>
    SecFilterEngine Off
    SecFilterScanPOST Off
    </Files>
    </IfModule>

  3. Haggertus
    Member
    Posted 5 years ago #

    Another update.

    I backed up my wp-content folder and my wp-config.php files. I then deleted everything out of my wordpress directory. Then re-unziped 2.6.1, and copied back wp-content and wp-config.php.

    I've also upgraded flash to 9.0.124.0.

    I'm still getting the error when using ssl.

    Here's a screenshot.

  4. Haggertus
    Member
    Posted 5 years ago #

    I can't be the only one using ssl and the flash uploader. Any ideas?

  5. jlencion
    Member
    Posted 5 years ago #

    FWIW, I am also having this problem with a fresh installation of WordPress 2.7.1.

    Additional information: WordPress is running on Ubuntu 8.10 and Lighttpd 1.4.19 with a self-signed certificate. Browser is Firefox 3.1b3 on Windows Vista Unltimate 64. Flash is 10.0.22.87

    If anybody has any information on what I can do to fix this, I would really appreciate it.

    Thanks!

Topic Closed

This topic has been closed to new replies.

About this Topic